if [ "$THREADS" -ne 8 ] || [ "$FIRST_CPU" -ne 0 ]; then
    echo "IRQ packing can only be done with 8 threads and FIRST_CPU must be 0"
    exit 1
fi

export THREAD_TAIL_OFFSET=2

# IRQ packing 2-2-6 scheme
ethtool -L $NET_IF rx 2 tx 8
$EXP_ROOT/irq.sh set 0 7
$EXP_ROOT/irq.sh set rx 6 7
export MEMCACHED_TARGET_QPS_PER_THREAD=130000
